import auxButton from "./aux-button";
import infoList from "./info-list";
import leftFlex from "./left-flex";
import leftRightRow from "./left-right-row";
import scrollYWrapper from "./scroll-y-wrapper";
import splitWrapper from "./split-wrapper";
import splitJsWrapper from "./split-js-wrapper";
import tagSelector from "./tag-selector";
import minMaxClose from "./min-max-close";
import boxSelected from "./box-selected";
import baseData from "./base-data";
import loadingMask from "./loading-mask";
import tableSelector from "./table-selector";
import customerSelector from "./customer-selector";
import warehouseSelector from "./warehouse-selector";
import LabelItem from "./label-item";
import SupplierSelector from "./supplier-selector";
import ServiceSelector from "./service-selector";
import storeSelector from './store-selector';
import CommoditySelector from './commodity-selector'
import BaseDataSelector from './base-data-selector'
import CountrySelector from './country-selector'
import CarrierSelector from './carrier-selector'
import PortSelector from './port-selector'
import OperatorSelector from './operator-selector'


// 存储组件列表
const components = [
  auxButton,
  infoList,
  leftFlex,
  leftRightRow,
  scrollYWrapper,
  splitWrapper,
  tagSelector,
  minMaxClose,
  boxSelected,
  baseData,
  splitJsWrapper,
  loadingMask,
  tableSelector,
  customerSelector,
  warehouseSelector,
  storeSelector,
  LabelItem,
  SupplierSelector,
  ServiceSelector,
  CommoditySelector,
  BaseDataSelector,
  CountrySelector,
  CarrierSelector,
  PortSelector,
  OperatorSelector
];

// 定义 install 方法，接收 Vue 作为参数。如果使用 use 注册插件，则所有的组件都将被注册
const install = function (Vue) {
  // 判断是否安装
  if (install.installed) return;
  // 遍历注册全局组件
  components.forEach((component) => Vue.component(component.name, component));
};

// 判断是否是直接引入文件
if (typeof window !== "undefined" && window.Vue) {
  install(window.Vue);
}

export default {
  // 导出的对象必须具有 install，才能被 Vue.use() 方法安装
  install,
  // 以下是具体的组件列表
  auxButton,
  infoList,
  leftFlex,
  leftRightRow,
  scrollYWrapper,
  splitWrapper,
  tagSelector,
  minMaxClose,
  boxSelected,
  baseData,
  splitJsWrapper,
  loadingMask,
  tableSelector,
  customerSelector,
  warehouseSelector,
  storeSelector,
  LabelItem,
  SupplierSelector,
  ServiceSelector,
  CommoditySelector,
  BaseDataSelector,
  CountrySelector,
  CarrierSelector,
  PortSelector,
  OperatorSelector
};
